@use '../../../global/styles-variables' as *;

:host {
  display: block;

  .digi-pattern-loaders-intro {
    display: grid;
    align-items: center;
    @media screen and (max-width: $digi--breakpoint--large-below) {
      grid-template-rows: auto auto;
      grid-template-columns: 100%;
      &__media-image {
        display: none;
      }
    }

    @media screen and (min-width: $digi--breakpoint--large) {
      grid-template-columns: 61% 39%;
    }

    @media screen and (min-width: $digi--breakpoint--x-large) {
      grid-template-columns: 50% 50%;
    }

    &__text {
      max-width: var(--digi--paragraph-width--medium);
    }
  }
}
